<?php
REQUIRE_ONCE "./global/est_funcoes.inc";
INCLUDE "./global/imp_pdf.inc";
//
$sNomeIdJan1 = 'iJan_RelVen_Princ';
$sNomeIdJan2 = 'iJan_RelVen_TxtVs';
$sCorBarraInf = '#E8E3CE';
//
$sPulaLinha = CHR(13).CHR(10);

$sData_Trabalho = SQLVarConfig('DATA_DE_TRABALHO');
$sEmpresaFan = SQLVarConfig('EMPRESA_NOME_FANTASIA');
//
//  ** TELA PRINCIPAL DE RELATORIO DE VENDAS **
If ( EMPTY($sSubModulo) ) {
    // Criar objeto Janela
    $oJanelaPrinc = New R_Janela();
    $oJanelaPrinc->sIdObj  = $sNomeIdJan1; 
    $oJanelaPrinc->nTop    = 40;
    $oJanelaPrinc->nLeft   = 5;
    $oJanelaPrinc->nWidth  = 550;   // Largura
    $oJanelaPrinc->nHeight = 0;     // Altura
	$oJanelaPrinc->nLeft  += ($nTela_W/2)-($oJanelaPrinc->nWidth/2);
    $oJanelaPrinc->sTitulo = 'Relatório de Vendas';
    //    
	$sJavaTravarJ = "document.getElementById('".$oJanelaPrinc->sIdObj."_Travar').style.visibility='visible'; parent.Disabled_In_Elems('".$oJanelaPrinc->sIdObj."',true);";
 	$oJanelaPrinc->sJavOnClickF =
         $sJavaTravarJ.
		 "document.forms.fmPRelVen.acao.value='FECHAR'; ".
         "document.forms.fmPRelVen.submod.value=''; ".
         "document.forms.fmPRelVen.submit();";
    $oJanelaPrinc->sJavKeyDown = "return Car_".$sNomeAcesso."1.Teclas_F(this,event);";
    //
    // JANELA TELA PRINCIPAL
	If ( EMPTY($sAcao) ) {
	   //
	   $oJanelaPrinc->aIdsObjList =
	      ARRAY( 'sl_RelVen_TipLst', 'in_RelVen_DatIni', 'in_RelVen_DatFim' ,
			     'sl_RelVen_CodCta', 'sl_RelVen_ModoRel'
		  );
	   
	   
	   // Combo de Contas
	   //Montagem nos itens do cadastro de contas para a combobox
       $sHTML_Combo_CodCTA = '<option value="0">* Todos *</option>';
       $Rows = MYSQL_QUERY("SELECT * FROM cad_contas WHERE CTA_ATIVO_ ORDER BY CTA_CODIGO ASC;") or die(MYSQL_ERROR());
       While ($Row = MYSQL_FETCH_OBJECT($Rows)) {
          $sHTML_Combo_CodCTA .=
	         '<option value="'.$Row->CTA_CODIGO.'">'.
		         $Row->CTA_DESCRI.
		      '</option>';
       }
	   
	   //
       // Tela HTML
       $sRet_TelaJ_HTML =
    	  $oJanelaPrinc->MontaJanHTML(True).
          '<form name="fmPRelVen" accept-charset="utf-8" method="post" action="./car_js.php" target="car_'.$sNomeAcesso.'2">'.
           '<input name="mod" type="hidden" value="'.$sModulo.'">'.
           '<input name="submod" type="hidden" value="">'.
           '<input name="acao" type="hidden" value="">'.
    	   '<input name="nomeacs" type="hidden" value="'.$sNomeAcesso.'">'.
		   '<input name="Pesq_CodCta" type="hidden" value="">'.
		   '&nbsp;'.
		  '<table width="100%" border="0">'.
           '<tr>'.
            '<td width="4px" height="20px">&nbsp;</td>'.
            '<td width="100px" align="right">'.
             'Tipo de listagem:'.
            '</td>'.
            '<td align="left">'.
			 '<select id="sl_RelVen_TipLst" name="TipLst" onchange="return Car_'.$sNomeAcesso.'1.Atualiza();" style="width:360px; font-size:11px; font-family:Courier New,Courier,mono;">'.
			  '<option value="0">Fechamento Mensal</option>'.
			  '</select>'.
            '</td>'.
            '<td width="4px" height="20px">&nbsp;</td>'.
		   '</tr>'.
		  '</table>'.
		  //'<div id="dv_EntEst" style="display:none;">'.
		  '<div id="dv_Rel_Linha1" style="display:none;">'.     // Linha 1
		   '<table width="100%" border="0">'.
             '<tr>'.
                '<td width="80px" align="right">'.
                   'Período Data Entrada:'.
                '</td>'.
			    '<td width="28px" align="center"><img onclick="'."sIdHasFocus='in_RelVen_DatIni';".'" src="images/bimg_calendario.png" border="0" id="bt_RelVen_DatIni" style="cursor:pointer;"></td>'.
			    '<td width="77px">'.
			       '<input id="in_RelVen_DatIni" name="Fil_DataIni" type="text" maxlength="10" onchange="return Car_'.$sNomeAcesso.'1.Atualiza();" value="'.ConvertDataUSBR($sData_Trabalho).'" style="font-size:12px; width:99%;">'.
			    '</td>'.
			    '<td align="center" width="10px">'.
			       '-'.
			    '</td>'.
			    '<td width="28px" align="center"><img onclick="'."sIdHasFocus='in_RelVen_DatFim';".'" src="images/bimg_calendario.png" border="0" id="bt_RelVen_DatFim" style="cursor:pointer;"></td>'.
			    '<td width="77px">'.
			       '<input id="in_RelVen_DatFim" name="Fil_DataFim" type="text" maxlength="10" onchange="return Car_'.$sNomeAcesso.'1.Atualiza();" value="'.ConvertDataUSBR($sData_Trabalho).'" style="font-size:12px; width:99%;">'.
			    '</td>'.
                '<td width="80px" height="20px">&nbsp;</td>'.
		     '</tr>'.
		   '</table>'.
		  '</div>'.
		  '<div id="dv_Rel_Linha2" style="display:none;">'.     // Linha 2
		   '<table width="100%" border="0">'.
             '<tr>'.
                //'<td width="4px" height="20px">&nbsp;</td>'.
                '<td width="108px" align="right">'.
                   'Conta<br>(Filtra Despesas):'.
                '</td>'.
                '<td align="left">'.
			       '<select id="sl_RelVen_CodCta" onchange="Car_'.$sNomeAcesso.'1.Atualiza();" style="width:98%; font-size:11px; font-family:Courier New,Courier,mono;">'.
            	      $sHTML_Combo_CodCTA.
				   '</select>'.
				'</td>'.
                '<td width="52px">&nbsp;</td>'.
		     '</tr>'.
		   '</table>'.
		  '</div>'.
		  '<div id="dv_Rel_Linha3" style="display:none;">'.     // Linha 5
		   '<table width="100%" border="0">'.
             '<tr>'.
                '<td width="4px" height="20px">&nbsp;</td>'.
                   '<td width="100px" align="right">'.
                      'Opção: '.
                   '</td>'.
                   '<td align="left">'.
			          '<select id="sl_RelVen_ModoRel" name="Ven_ModoRel" style="width:360px; font-size:11px; font-family:Courier New,Courier,mono;">'.
			             '<option value="1">Analítico</option>'.
			             '<option value="0">Sintético</option>'.
						 '<option value="2">Resumido</option>'.
			          '</select>'.
                   '</td>'.
                   '<td width="52px">&nbsp;</td>'.
		     '</tr>'.
		   '</table>'.
		  '</div>'.
		  '</form>'.
		  //
          '<table width="100%" style="background-color:'.$sCorBarraInf.';"></tr>'.
           '<td width="4px" height="40px">&nbsp;</td>'.
           '<td align="left">'.
            HTML_Botao( 3, 'objRelVen_BT_Abr',
			                                 "var vff = document.forms.fmPRelVen;".
		                                     "vff.acao.value=''; ".
                                             "vff.submod.value='RELATORIO'; ".
                                             "vff.submit();".
											 $sJavaTravarJ
                         , 'Visualizar (F8)' ,'images/btimg_docs.png',120).		    
		   '</td>'.
           '<td align="right">'.
            HTML_Botao( 3, 'objRelVen_BT_Fch', $oJanelaPrinc->sJavOnClickF
                         , 'Sair (ESC)' ,'images/btimg_fechar.png').		    
		   '</td>'.
           '<td width="4px">&nbsp;</td>'.
		   '</tr></table>'.		   
		  //
    	  $oJanelaPrinc->MontaJanHTML(False);
       //
	   // Java anterior
       $sRet_Javs .=
	     'parent.document.getElementById("dv_MenuL_Barra").style.visibility="hidden";'.
         "function Teclas_F( Objeto, Evento ) {".
           "vNumTecla = parent.Tecla_Apertada(Evento);".
           "if ( vNumTecla==119) {".         // ** [F8] **
               "if (parent.document.getElementById('objRelVen_BT_Abr').style.display!='none') {".           // (Visualizar)
                  "parent.".$sJava_Desfoca_Input.
                  "setTimeout( parent.document.getElementById('objRelVen_BT_Abr').onclick , 10);".
         	   "}".
		   "} else if ( vNumTecla==116) { ".  // ** [F5] **     Não atualizar
               //
           "} else if ( vNumTecla==27 ) { ".  // [ESC]
               "parent.".$sJava_Desfoca_Input.
               "setTimeout( parent.document.getElementById('objRelVen_BT_Fch').onclick , 10);".
		   "} else {".
		       "return true;".
		   "} ".
	       "return false;".
		 '}'.
	     "";
       // Java posterior
       $sRet_JavsPos .=
	      "parent.document.getElementById('in_RelVen_DatIni').focus();".
	      "function Atualiza() {".
		     "var vff = parent.document.forms.fmPRelVen;".
			 'vff.Pesq_CodCta.value = parent.document.getElementById("sl_RelVen_CodCta").value;'.
			 "stmp = vff.target;".
			 "vff.target='car_".$sNomeAcesso."5';".
	         "vff.acao.value='ATUALIZA'; ".
	         "vff.submod.value=''; ".
             "vff.submit(); ".
			 "vff.target = stmp;".
   	      "}".
		  "Atualiza(); ".
		  //
          'parent.Calendar.setup({'.
             'inputField : "in_RelVen_DatIni", '.
             'trigger    : "bt_RelVen_DatIni", '.
             'onSelect   : function() { this.hide(); parent.sIdHasFocus=""; Atualiza(); }, '.
             'showTime   : 0, '.
             'dateFormat : "%d/%m/%Y" '.
          '});'.
          'parent.Calendar.setup({'.
             'inputField : "in_RelVen_DatFim", '.
             'trigger    : "bt_RelVen_DatFim", '.
             'onSelect   : function() { this.hide(); parent.sIdHasFocus=""; Atualiza(); }, '.
             'showTime   : 0, '.
             'dateFormat : "%d/%m/%Y" '.
          '});'.
          "";
    //
	// ATUALIZA TELA: Sequencia de Caixa
    } ElseIf ( $sAcao=="ATUALIZA" ) {
	   //
	   $nFil_TipLst  = @$_REQUEST['Fil_TipLst'];           // Tipo do Relatório 0-Fechamento Mensal
	   $sFil_DataIni = @$_REQUEST['Fil_DataIni'];          // Data inicial
	   $sFil_DataFim = @$_REQUEST['Fil_DataFim'];          // Data Final
	   $n_CodCta     = @$_REQUEST['Pesq_CodCta']+0;        // Código da Conta
	   $n_ModoRel    = @$_REQUEST['Ven_ModoRel']+0;        // Relatório: 0-Sintético, 1-Analítico , 2-Resumido
	   
	   
	   $sSQLParm = '';                                                                                                                
	                                                                                                 
	   //                                                                                                                             
	   $d_Fil_DataIni = ConvertDataSTR( ConvertDataBRUS($sFil_DataIni) );
	   $d_Fil_DataFim = ConvertDataSTR( ConvertDataBRUS($sFil_DataFim) );
	   // Filtro de data
       If ($d_Fil_DataIni>0) {
		  // Comparando (Inicial)
		  If ( $nFil_TipLst==0 ) {  // Fechamento Mensal
	         If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	         $sSQLParm .= '(MCO_L_DATA>="'.DATE('Y-m-d',$d_Fil_DataIni).'")';
		  }
	   }
	   If ($d_Fil_DataFim>0) {
		  // Comparando (Final)
		  If ( $nFil_TipLst==0 ) {  // Fechamento Mensal
	         If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	         $sSQLParm .= '(MCO_L_DATA<="'.DATE('Y-m-d',$d_Fil_DataFim).'")';
			 //$sSQLParm .= '(MCO_L_DATA<="'.DATE('Y-m-d',$d_Fil_DataFim).' 23:59:59'.'")';
		  }
       }
	   // Filtro Conta
	   If ( $nFil_TipLst==0 ) {    // Fechamento Mensal
	      If ( $n_CodCta >0 ) {
		     If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	         $sSQLParm .= 'MCO_CODCON="'.$n_CodCta.'"';
		  }
	   }
	   
	   //
	   //
       $sRet_Javs .=
	      'parent.document.getElementById("in_RelVen_DatIni").value="'.$sFil_DataIni.'";'.
		  'parent.document.getElementById("in_RelVen_DatFim").value="'.$sFil_DataFim.'";'.
		  'parent.document.getElementById("sl_RelVen_CodCta").value = '.$n_CodCta.';'.
		  'var dv_L1 = parent.document.getElementById("dv_Rel_Linha1");'.  // Data inicial e final
		  'var dv_L2 = parent.document.getElementById("dv_Rel_Linha2");'.  // combo contas
		  'var dv_L3 = parent.document.getElementById("dv_Rel_Linha3");'.  // Opcão 0- Sintético 1-Analitíco 2-Resumido
		  ( $nFil_TipLst == 0 ?   // Fechamento Mensal
            'dv_L1.style.display="";'.
            'dv_L2.style.display="";'.
            'dv_L3.style.display="";'
          : '').
		  '';
    //
    // FECHAR
    } ElseIf ( $sAcao=="FECHAR" ) {
      $sRet_Javs .=
	      'parent.document.getElementById("dv_MenuL_Barra").style.visibility="visible";'.
	      "parent.RmElem('".$oJanelaPrinc->sIdObj."');".
	      "parent.Car_".$sNomeAcesso."2.location.href='about:blank';".
	      "parent.Car_".$sNomeAcesso."1.location.href='about:blank';";
	}
//
//  ** TELA QUE MONTA O RELATÓRIO **
} ElseIf ( $sSubModulo=="RELATORIO" ) {
    // Criar objeto Janela
    $oJanelaPrinc = New R_Janela();
    $oJanelaPrinc->sIdObj  = $sNomeIdJan2; 
    $oJanelaPrinc->nTop    = 2;
    $oJanelaPrinc->nLeft   = 5;
    $oJanelaPrinc->nWidth  = 910;   // Largura
    $oJanelaPrinc->nHeight = 0;     // Altura
	$oJanelaPrinc->nLeft   += ($nTela_W/2)-($oJanelaPrinc->nWidth/2);
    $oJanelaPrinc->sTitulo = 'Relatório';
	$oJanelaPrinc->sJavOnClick  = "document.getElementById('in_RelVenV_Tecla').focus();";
	//
	$sJavaTravarJ = "document.getElementById('".$oJanelaPrinc->sIdObj."_Travar').style.visibility='visible'; ";
	$oJanelaPrinc->sJavOnClickF =
        $sJavaTravarJ.
	    "document.forms.fmPRelVen_R.acao.value='FECHAR'; ".
        "document.forms.fmPRelVen_R.submit();";
	//
	$aV_Sessao = @$aSessao[$sNomeAcesso.'_S'];
    //
    //
    // Montar o relatório
    If ( $sAcao=="MONTAR" ) {
	   //
	   $sTxt_Rel     = '';
	   $sTxt_Cab     = '';
	   
	   $nFil_TipLst  = $aV_Sessao['Fil_TipLst'];           // Tipo do Relatório 0-Fechamento Mensal
	   $sFil_DataIni = $aV_Sessao['Fil_DataIni'];          // Data inicial
	   $sFil_DataFim = $aV_Sessao['Fil_DataFim'];          // Data Final
	   $n_CodCta     = $aV_Sessao['Pesq_CodCta']+0;         // Código da Conta
	   $n_ModoRel    = $aV_Sessao['Ven_ModoRel'];          // Relatório: 0-Sintético, 1-Analítico , 2-Resumido
	   
 	   // Periodo
	   $d_Fil_DataIni = ConvertDataSTR( ConvertDataBRUS($sFil_DataIni) );
	   $d_Fil_DataFim = ConvertDataSTR( ConvertDataBRUS($sFil_DataFim) );
	   $sPeriodo = '';
	   If ($d_Fil_DataIni==0 && $d_Fil_DataFim==0) {
	      $sPeriodo = '** TODOS **';
	   } ElseIf ($d_Fil_DataIni>0 && $d_Fil_DataFim==0) {
	      $sPeriodo = 'Apartir de '.$sFil_DataIni;
	   } ElseIf ($d_Fil_DataIni==0 && $d_Fil_DataFim>0) {
	      $sPeriodo = 'Ate '.$sFil_DataFim;
	   } Else {
	      $sPeriodo = $sFil_DataIni.' ate '.$sFil_DataFim;
	   }
       $n_Reg_Qtd = 0;                                                       // Quantidade de itens no relatório
	   $s_FontRel = "font-size:13px; font-family:Courier New,Courier,mono;"; // Configuração da fonte de letra do relatório
	   //
	   // Montar matriz de cadastro de empresa
	   $sSQLQuery = 'SELECT * FROM cad_empresa ORDER BY EMP_RAZAOS ASC;';
	   $RowsT = MYSQL_QUERY($sSQLQuery) or die(MYSQL_ERROR().'<br>'.$sSQLRequest);
	   $aCad_EmpresaC = ARRAY();
	   While ( $RowT = MYSQL_FETCH_ARRAY($RowsT) ) {
	     $aCad_EmpresaC[ $RowT['EMP_CODIGOI'] ] = $RowT;
	   }
	   
	   // Montar matriz de Contas
	   $sSQLQuery = 'SELECT * FROM cad_contas WHERE CTA_ATIVO_;';
	   $RowsT = MYSQL_QUERY($sSQLQuery) or die(MYSQL_ERROR().'<br>'.$sSQLRequest);
	   $aCad_ContasC = ARRAY();
	   While ( $RowT = MYSQL_FETCH_ARRAY($RowsT) ) {
	       $aCad_ContasC[ $RowT['CTA_CODIGO'] ] = $RowT;
	   }
	   
	   //
	   // ** 
	   If ( ($nFil_TipLst==0) ) {
	      
	      $sTxt_NOME = '';
		  If ($nFil_TipLst==0) {
	         $sTxt_NOME .= "FECHAMENTO MENSAL";
	      }
		  
		  //
	      $sTxt_Rel .=
             AlinhaStr('Empresa.....: '.$Dados_Empresa['EMP_FANTAS'],0,80).$sPulaLinha.
		     AlinhaStr('Relatorio...: '.$sTxt_NOME,0,80).$sPulaLinha.
		     AlinhaStr('Emissao.....: '.DATE('d/m/Y H:i:s'),0,40).
		     AlinhaStr('Operador....: '.$R_CadFuncionario->FUN_NOMECP,2,40).$sPulaLinha.
		 	 "";
	      //
	      If ( $n_CodCta>0 ) {
	         $sTxt_Rel .= "Conta..: ".$n_CodCta.' - '.$aCad_ContasC[$n_CodCta]['CTA_DESCRI'].$sPulaLinha;
	      }
	      
		  $sTxt_Rel .=
             STR_REPEAT("=", 80).$sPulaLinha.
             "";
	      //
	      // ** Fechamento Mensal  **
	      If ( $nFil_TipLst==0 ) {
	         $sSQLParm = '';                                                                                                                
	         //                                                                                                                             
	         $d_Fil_DataIni = ConvertDataSTR( ConvertDataBRUS($sFil_DataIni) );
	         $d_Fil_DataFim = ConvertDataSTR( ConvertDataBRUS($sFil_DataFim) );
	         // Filtro de data
             If ($d_Fil_DataIni>0) {
				  // Comparando (Inicial)
				  If ( $nFil_TipLst==0 ) {  // Fechamento Mensal
	               If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	               $sSQLParm .= '(MCO_L_DATA>="'.DATE('Y-m-d',$d_Fil_DataIni).'")';
				  }
	         }
	         If ($d_Fil_DataFim>0) {
				  // Comparando (Final)
				  If ( $nFil_TipLst==0 ) {  // Fechamento Mensal
	               If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	               $sSQLParm .= '(MCO_L_DATA<="'.DATE('Y-m-d',$d_Fil_DataFim).'")';
					 //$sSQLParm .= '(MCO_L_DATA<="'.DATE('Y-m-d',$d_Fil_DataFim).' 23:59:59'.'")';
				  }
             }
	         // Filtro Conta
	         If ( $nFil_TipLst==0 ) {    // Fechamento Mensal
	            If ( $n_CodCta >0 ) {
				     If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	               $sSQLParm .= 'MCO_CODCON="'.$n_CodCta.'"';
				  }
	         }
			
			
			// Movimento de Contas
	         $sSQLRequest =
	            "SELECT ". 
                   "cta.CTA_CODIGO, ".
                   "cta.CTA_DESCRI, ".
                   "cus.CUS_CODIGOI, ".
                   "cus.CUS_CODIGO, ".
                   "cus.CUS_DESCRI, ".
                   "mov.MCO_CODEMP, ".
                   "mov.MCO_CODCON, ".
                   "mov.MCO_CREDEB, ".
                   "mov.MCO_CODCUS, ".
                   "mov.MCO_HISTOR, ".
                   "mov.MCO_VALLAN, ".
				   "mov.MCO_L_DATA, ".
				   "mov.MCO_SEQUEN ".
	            "FROM mov_contas AS mov ".
                "LEFT JOIN cad_contas       AS cta ON cta.CTA_CODIGO  = mov.MCO_CODCON ".
                "LEFT JOIN cad_centro_custo AS cus ON cus.CUS_CODIGOI = mov.MCO_CODCUS ".
		       (STRLEN($sSQLParm)>0 ? 'WHERE '.$sSQLParm.' ' : '').
		        "ORDER BY ".
			       "mov.MCO_L_DATA ASC, ".
			       "mov.MCO_SEQUEN ASC  ".
			    ";";
	         //
	         // Execução SQL
	         $Rows_MovCta = MYSQL_QUERY($sSQLRequest) Or Die($sSQLRequest."<br>".MYSQL_ERROR());
	         $aReg_Cta = ARRAY();
			 $nTot_Des = 0;
			 $nRec_Ext = 0;
			 While ( $Row_MovCta = MYSQL_FETCH_ARRAY($Rows_MovCta,MYSQL_ASSOC) ) {
	            //
  				If ( $Row_MovCta['MCO_CREDEB']== 0) {  // 0-débito
				   $nTot_Des += $Row_MovCta['MCO_VALLAN'];
				   $dMco_L_Data = ConvertDataSTR( $Row_MovCta['MCO_L_DATA'] );
				   
	               If ( ( $dMco_L_Data >= $d_Fil_DataIni ) || ( $dMco_L_Data <= $d_Fil_DataFim ) ) { 
					
					  $aReg_Cta[] = ARRAY(
					    $Row_MovCta['MCO_L_DATA'], //0 - Data do Lançamento
				        $Row_MovCta['CTA_CODIGO'], //1 - Código da Conta
				        $Row_MovCta['CTA_DESCRI'], //2 - Descrição da Conta
				        $Row_MovCta['MCO_HISTOR'], //3 - Histórico
					    $Row_MovCta['MCO_VALLAN']  //4 - Valor do lançamento
				      );
				   }     
	     
		        } ElseIf ( $Row_MovCta['MCO_CREDEB'] ) { //1-crédito
		           $nRec_Ext +=  $Row_MovCta['MCO_VALLAN'];
				}
		     } 
		 
		     $sSQLParm = '';
		     //                                                                                                                             
	         $d_Fil_DataIni = ConvertDataSTR( ConvertDataBRUS($sFil_DataIni) );
	         $d_Fil_DataFim = ConvertDataSTR( ConvertDataBRUS($sFil_DataFim) );
	         // Filtro de data
             If ($d_Fil_DataIni>0) {
		        // Comparando (Inicial)
		        If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	            $sSQLParm .= '(FAT_DAT_HOR>="'.DATE('Y-m-d',$d_Fil_DataIni).'")';
		     }
	         If ($d_Fil_DataFim>0) {
		        // Comparando (Final)
		        If (STRLEN($sSQLParm)>0) { $sSQLParm .= ' AND '; }
	            $sSQLParm .= '(FAT_DAT_HOR<="'.DATE('Y-m-d',$d_Fil_DataFim).' 23:59:59'.'")';
		        
             }
		 
		     
			 
		     $sTxt_Rel .=
		        '| COD.|DESCRICAO         |PESO UN.|  QTDE.  |TOT.PESO |TOT.CUSTO  | TOT.VENDA  |'.
		      //'| 1234|123456789 12345678|9999.999|999.999  |999,999  |999,999.99 | 9999,999.99|'   
				$sPulaLinha.
		        STR_REPEAT("-", 80).$sPulaLinha.
		        '';
	    
		 
		     //  produtos
		     $sSQLQuery =
	            "SELECT fat_item.*, ".
		           "cad1.ITE_DESCRIC AS ITE_DESCRIC1, ".
				   "cad1.ITE_CODIGOL AS ITE_CODIGOL1, ".
				   "cad1.ITE_PES_PRO AS ITE_PES_PRO1, ".
				   "sum(fat_item.FAT_QTD_ITE) as FAT_QTD_ITE, ".
				   "sum(fat_item.FAT_PRE_TOT) as FAT_PRE_TOT, ".
				   "sum(fat_item.FAT_TOTCUST) as FAT_TOTCUS ".
		        "FROM fat_item ".
                "LEFT JOIN fat_geral as ftg ON ftg.FAT_CODIGOI=fat_item.FAT_CFATGER ".
				"LEFT JOIN cad_produto AS cad1 ON FAT_CODITE1=cad1.ITE_CODIGOI ".
                "WHERE ".
               (STRLEN($sSQLParm)>0 ? $sSQLParm.' AND' : '')." ".
               "Length(fat_item.FAT_CANITEM) <2 AND ftg.FAT_CANCELA=0 ". 
				"GROUP BY ".
				   "fat_item.FAT_CODITE1, ".
                   "fat_item.FAT_PRE_TIP, ".
				   "fat_item.FAT_CANITEM ".
				';';
		    
			
		     $Rows_FatItem = MYSQL_QUERY($sSQLQuery) Or Die($sSQLQuery."<br>".MYSQL_ERROR());
			 $nTip_Pes = 0;
			 
			 $nPes_Ger = 0;
			 $nQtd_Ger = 0;
			 $nCus_Ger = 0;
			 $nVen_Ger = 0;
			 $nDes_Ger = 0; 
		     While ( $Row_FatItem = MYSQL_FETCH_ARRAY($Rows_FatItem,MYSQL_ASSOC) ) {
		        
				$nTip_Pes = ($Row_FatItem['ITE_PES_PRO1'] * $Row_FatItem['FAT_QTD_ITE']);
				
				If($Row_FatItem['FAT_QTD_ITE']>0){
				   $sTxt_Rel .=
			          '| '.
			          AlinhaStr( Str_Zero($Row_FatItem['ITE_CODIGOL1'], 4),0 , 04).
			          '|'.
			          AlinhaStr($Row_FatItem['ITE_DESCRIC1'],0 , 18).
					  '|'.
					  AlinhaStr( NUMBER_FORMAT($Row_FatItem['ITE_PES_PRO1'],3,',','') ,2 ,  8).
					  '|'.
					  AlinhaStr( NUMBER_FORMAT($Row_FatItem['FAT_QTD_ITE'], 3, ',','') ,2 ,  9).
					  '|'.
					  AlinhaStr( NUMBER_FORMAT($nTip_Pes, 3, ',','') ,2 ,  9).
					  '|'.
					  AlinhaStr( FormatoMoeda($Row_FatItem['FAT_TOTCUS']) ,2 ,  11).
					  '| '.
					  AlinhaStr( FormatoMoeda($Row_FatItem['FAT_PRE_TOT']) ,2 ,  11).
					  '|'.
					  $sPulaLinha.
					  '';
                    
				   $nPes_Ger += $nTip_Pes;			
                   $nQtd_Ger += $Row_FatItem['FAT_QTD_ITE'];
			       $nCus_Ger += $Row_FatItem['FAT_TOTCUS'];
		           $nVen_Ger += $Row_FatItem['FAT_PRE_TOT'];
					
				   $n_Reg_Qtd++;
		        }
			 }
	         
			 If ($nVen_Ger>0) {
			    $sTxt_Rel .=
				   '|'.STR_REPEAT(" ", 78).'|'.
				   $sPulaLinha.
				   '| '.
				   AlinhaStr('Total dos Produtos Listados..:  '.
				      AlinhaStr( NUMBER_FORMAT($nQtd_Ger, 3, ',',''),2,10).
				      '|'.
				      AlinhaStr( NUMBER_FORMAT($nPes_Ger, 3, ',',''),2,9).
				      '|'.
				      AlinhaStr( 'R$ '.FormatoMoeda($nCus_Ger),2,11).
				      '|'.
				      AlinhaStr( 'R$ '.FormatoMoeda($nVen_Ger),2,12),2,77).
				      '|'.
				      $sPulaLinha.
				      '';
			 
			    $nQtd_013 = ROUND( ($nPes_Ger/13),3);
			    
				$nMed_Ven = ($nVen_Ger/ ($nQtd_013==0 ? 1 : $nQtd_013));
				$nMed_Cus = ($nCus_Ger/ ($nQtd_013==0 ? 1 : $nQtd_013));
			    $nDes_Uni = ROUND(($nTot_Des/($nQtd_013==0 ? 1 : $nQtd_013)),2);
			 }	
             //
		     If (($n_ModoRel==0) ||  ($n_ModoRel==1)) {
		        $sTxt_Rel .=
				   '|'.STR_REPEAT(" ", 78).'|'.
                   $sPulaLinha.
				   '| '.
				   AlinhaStr('Total do Peso convertido em 13 kg.: '.
		             AlinhaStr(  NUMBER_FORMAT(@$nQtd_013, 3, ',',''),2,9).' Unidades',0,76).
				   ' |'.
				   $sPulaLinha.
				   '|'.STR_REPEAT(" ", 78).'|'.
				   $sPulaLinha.
				   '| '.
				     AlinhaStr( 'Despesa Por Unidade Vendida.: R$ '.FormatoMoeda(@$nDes_Uni),0,40).
					 AlinhaStr( '        Total das Despesas: R$ '.FormatoMoeda(@$nTot_Des),2,36).
				   ' |'.
				   $sPulaLinha.
				   '|'.STR_REPEAT(" ", 78).'|'.
				   $sPulaLinha.
				   '| '.
				     AlinhaStr( 'Preco Medio de Venda....(+): R$ '.FormatoMoeda(@$nMed_Ven),0,41).
					 AlinhaStr( ' Total das Vendas.(+): R$ '.FormatoMoeda(@$nVen_Ger),2,36).
				   '|'.
				    $sPulaLinha.
				   '|'.STR_REPEAT(" ", 78).'|'.
				   $sPulaLinha.
				   '| '.
				     AlinhaStr( '                                        ',0,41).
					 AlinhaStr( ' Recebimento Extra.(+): R$ '.FormatoMoeda(@$nRec_Ext),2,35).
				   ' |'.
				   $sPulaLinha.
				   '|'.STR_REPEAT(" ", 78).'|'.
				   $sPulaLinha.
				   '| '.
				     AlinhaStr( 'Preco Medio de Custo.....(-): R$ '.FormatoMoeda(@$nMed_Cus),0,41).
					 AlinhaStr( '  Total do Custo..(-): R$ '.FormatoMoeda(@$nCus_Ger),2,35).
				   ' |'.
				   $sPulaLinha.
				   '|'.STR_REPEAT(" ", 78).'|'.
				   $sPulaLinha.
				   '| '.
				     AlinhaStr( 'Despesa Por Unidade Vend.(-): R$ '.FormatoMoeda(@$nDes_Uni),0,41).
					 AlinhaStr( '   Total das Despesas(-): R$ '.FormatoMoeda(@$nTot_Des),2,35).
				   ' |'.
				    $sPulaLinha.
				   '| '.
				     AlinhaStr( '                             '.'------------',0,41).
					 AlinhaStr( '                       '.'------------',2,35).
				   ' |'.
				   $sPulaLinha.
				   '| '.
				     AlinhaStr( 'Lucro Unitario Bruto........: R$ '.FormatoMoeda((@$nMed_Ven-@$nDes_Uni-@$nMed_Cus)),0,41).
					 AlinhaStr( '   Lucro Bruto........: R$ '.FormatoMoeda((@$nVen_Ger-@$nCus_Ger-@$nTot_Des)),2,35).
				   ' |'.
				   $sPulaLinha.
				   "";
		     
			 //Resumido
			 } Else {
				$sTxt_Rel .=
				   '|'.STR_REPEAT(" ", 78).'|'.
				   $sPulaLinha.
				   '| '.
				   AlinhaStr( ' Total das Vendas..(+): R$ '.FormatoMoeda($nVen_Ger),0,76).
				   ' |'.
				   $sPulaLinha.
				   '| '.
				   AlinhaStr( '  Total do Custo...(-): R$ '.FormatoMoeda($nCus_Ger),0,76).
				   ' |'.
				   $sPulaLinha.
				   '| '.
				   AlinhaStr( '                       '.'------------',0,76).
				   ' |'.
				   $sPulaLinha.
				   '| '.
				   AlinhaStr( '   Lucro Bruto........: R$ '.FormatoMoeda(($nVen_Ger-$nCus_Ger)),0,76).
				   ' |'.
				   $sPulaLinha.
				   "";
		     }	  
			 
		  }
		  
		  
	   
	      //impressão das despesas
	      If ($n_ModoRel==1){
	         $sTxt_Des = '';
			 
			 $sTxt_Cab = 
			    '| '.
			    AlinhaStr( 
			       '>>>>>> D E S P E S A S <<<<<<',1,76).
				'                         |'.
				$sPulaLinha.
				'|'.STR_REPEAT(" ", 78).'|'.
				$sPulaLinha.
				'';   
				
				
			 FOREACH($aReg_Cta AS $Reg_Cta){
	            $sTxt_Des .=
				   '| '.
				   AlinhaStr( 
				      ConvertDataUSbr($Reg_Cta[0]). 
				      ' | '.
     				  $Reg_Cta[1]. 
				      ' - '.
					  AlinhaStr($Reg_Cta[2],0,15).
					  ' | '.
				      AlinhaStr($Reg_Cta[3],0,14).
					  ' | '.
					  AlinhaStr( FormatoMoeda($Reg_Cta[4]),2,11), 2,76).
				   ' |'.
				   $sPulaLinha.
				  '';
	            $nDes_Ger += $Reg_Cta[4];
		     }
			 If ( $nDes_Ger>0) {
			    $sTxt_Rel .=
				   STR_REPEAT("-", 80).
				   $sPulaLinha.
				   $sTxt_Cab.
				   $sTxt_Des.
			       '| '.
				   AlinhaStr( '                                 '.'------------',2,76).
				   ' |'.
				   $sPulaLinha.
				   '| '.
				   AlinhaStr( '   Total de Despesas...: R$ '.FormatoMoeda($nDes_Ger),2,76).
				   ' |'.
				   $sPulaLinha.
				   '';
			 
			 
			 }
	      }
	      $sTxt_Rel .= STR_REPEAT("=", 80).$sPulaLinha;
       }
	   //
	   // Rodapé do relatório
	   If ( $n_Reg_Qtd>0 ) {
          $sTxt_Rel .=
		     AlinhaStr('Registros impressos: '.Str_Zero($n_Reg_Qtd,6),0).
			 $sPulaLinha.
             $sPulaLinha.
             $sPulaLinha;
	   } Else {
	      $aV_Sessao['TXT_REL'] = '';
          $sRet_Javs .= 
		     "parent.sIdHasFocus='in_RelVen_DatIni';".
             Info_Evento('Não há movimento para gerar este relatório.',0).
             "setTimeout( function () { ".
	            "parent.document.forms.fmPRelVen_R.acao.value='FECHAR'; ".
                "parent.document.forms.fmPRelVen_R.submit();".
			 "}, 500);".
			 "";
       }	
	   //
	   $sTxt_Rel = RemoveAcentos($sTxt_Rel);
	   $aV_Sessao['TXT_REL'] = $sTxt_Rel;
	   
       
	   
	   $sHTML_Rel = $sTxt_Rel;
       $sHTML_Rel = STR_REPLACE(CHR(10),"",$sHTML_Rel);
       $sHTML_Rel = STR_REPLACE(CHR(13),"<br>",$sHTML_Rel);
       $sHTML_Rel = STR_REPLACE(CHR(32),"&nbsp;",$sHTML_Rel);
      
	   $sHTML_Pdf = $sHTML_Rel;
	  
      
	   $sHTML_Pdf = 
	      '<div id="divSD_Impressao" style="width:854px;">'.
	         "<table cellspacing='0' cellpadding='0'>".
                "<tr><td align='left' style=".$s_FontRel.">".
			       $sHTML_Pdf.
			    "</td></tr>".
		     "</table>".
		  '</div>'.
		  "";
	  
       $aSessao['TXT_PDF'] = $sHTML_Pdf;
	  
       $sHTML_Rel =
          '<div align="center" style="-moz-user-select:text; -khtml-user-select:text; -webkit-user-select:text; -ms-user-select:text; user-select: text; cursor:auto;">'.
           '<table border="0" cellspacing="0" cellpadding="0"><tr><td align="left" style="'.$s_FontRel.'">'.
            $sHTML_Rel.
           '</td></tr></table>'.
          '</div>';
	   //
	   
       $sRet_Javs .= 
          
		  "parent.document.getElementById('dv_RelVenR_Txt').innerHTML = ".JAVA_CharCode($sHTML_Rel).";".
          "";
	   //
	   $aSessao[$sNomeAcesso.'_S'] = $aV_Sessao;
	   //
	//
    // IMPRIMIR Relatório pronto
    } ElseIf ( $sAcao=="IMP" ) {
       $sRet_Javs .= "parent.JanEspera(false); ";
	   $aV_Sessao = @$aSessao[$sNomeAcesso.'_S'];
       $sCfg_ClpExp2 = SQLVarConfig('GARCOM_CLIPPER_ARQ_EXPORTA2');
       If ( STRLEN($sCfg_ClpExp2)>3 ) {
	      $sTxt_Cupom = @$aV_Sessao['TXT_REL'];
          If (STRLEN($sTxt_Cupom)>0) {
		     // Gravar o relatório Texto
             $sNomArqExpT = $sCfg_ClpExp2.$R_CadFuncionario->FUN_CODIGO.'_'.DATE("d-m-Y_h-i-s").'_EST.TMP';
             $sIP_NomeArq = STR_REPLACE(".","_",ObterIPdoCliente());
             $sNomArqExpR = $sCfg_ClpExp2.$R_CadFuncionario->FUN_CODIGO.'_'.DATE("d-m-Y_h-i-s").'_EST_'.$sIP_NomeArq.'.REL';
			 //
			 ERROR_REPORTING(0);      // Bloqueio o relatório de erro
             If ( $hArqExp = FOPEN( $sNomArqExpT, "a" ) ) {
                FWRITE($hArqExp, $sTxt_Cupom );
                FCLOSE( $hArqExp );
        	    If ( FILE_EXISTS($sNomArqExpR) ) { UNLINK($sNomArqExpR); }
        	    RENAME( $sNomArqExpT, $sNomArqExpR );
			    //
			 } Else {
		        $sRet_Javs .= Info_Evento('Erro ao gerar arquivo do relatório para impressão.',1,"Impressão de relatório");
			 }
			 ERROR_REPORTING(E_ALL); // Desbloqueio o relatório de erro
             //
          } Else {    // Sem conteudo para imprimir
             $sRet_Javs .=
                 Info_Evento('Não há conteúdo para imprimir.').
                 '';
          }
       } Else {       // Sem caminho para impressão
          $sRet_Javs .=
             Info_Evento('Parametros do caminho inválido.').
             $sJavaFechaEr;
       }
    
	} ElseIf ( $sAcao=="PDF" ) {
	  $sRet_Javs .= "parent.JanEspera(false); ";
	 
	  $sTxt_RelPdf = @$aSessao['TXT_PDF'];
	  $sIP_NomeArq = STR_REPLACE(".","_",ObterIPdoCliente());
	  If (STRLEN($sTxt_RelPdf)>0) {
	     
		 /*ini_set('magic_quotes_runtime', 0); 
         
         //
         
         //
         $Gera_PDF = new DOMPDF();
         $base_path = $_SERVER['DOCUMENT_ROOT'];
         $Gera_PDF->load_html($sTxt_RelPdf);
         
      	if ( isset($base_path) ) {
		    $Gera_PDF->set_base_path($base_path);
         }
         //$papel = array(0,0,595.28,841.89);  //A4
         //$papel = array(0,0,792.00, 1224.00);
         
		 //$Gera_PDF->set_paper( 'a4', 'portrait') // RETRATO
         $Gera_PDF->set_paper( 'a4', 'landscape');  //PAISAGEM
		 
         $Gera_PDF->render();
         $sRetornoPDF = $Gera_PDF->output();
         //
         HEADER("Content-Type: application/pdf");
         HEADER("Content-Length: ".STRLEN($sRetornoPDF));
         HEADER("Content-Disposition: attachment; filename=".$R_CadFuncionario->FUN_CODIGO.'_'.DATE("d-m-Y_h-i-s").'_EST_'.$sIP_NomeArq.".pdf");
         */
         //ECHO $sRetornoPDF;  
          //ECHO $sTxt_RelPdf;    
         //EXIT;
	  
	  } Else {    // Sem conteudo para imprimir
         $sRet_Javs .=
            Info_Evento('Não há conteúdo para salvar o PDF').
            '';
      }
    //
	// >> Gerar texto para download
    } ElseIf ( $sAcao=="GERAR_TEXTO" ) {
	   $sArquivo = "Relatorio_Estoque_".DATE("d-m-Y_H-i-s").".txt";
       $sTxt_Cupom = @$aV_Sessao['TXT_REL'];
	   HEADER("Content-Type: text/plain");
	   HEADER("Content-Length: ".STRLEN($sTxt_Cupom));
	   HEADER("Content-Disposition: attachment; filename=".$sArquivo);
	   ECHO $sTxt_Cupom;
	   EXIT;
	   //
	//
    // FECHAR Janela
    } ElseIf ( $sAcao=="FECHAR" ) {
	   UNSET( $aSessao[$sNomeAcesso.'_S'] );
	   UNSET( $aSessao['TXT_PDF']);
       $sRet_Javs .=
	       "if (parent.document.getElementById('".$oJanelaPrinc->sIdObj."') != null) { parent.RmElem('".$oJanelaPrinc->sIdObj."'); }".
		   "parent.document.getElementById('".$sNomeIdJan1."_Travar').style.visibility='hidden';".
		   "parent.Disabled_In_Elems('".$sNomeIdJan1."',false);".
	       "parent.document.getElementById('in_RelVen_DatIni').focus();".
		   "";
    //
    // Janela
	} Else {
	   $aV_Sessao = ARRAY();
	   $aV_Sessao['Fil_TipLst']  = (@$_POST['TipLst']+0);      // Tipo de listagem: 0=Fechamento Mensal
	   $aV_Sessao['Fil_DataIni'] = @$_REQUEST['Fil_DataIni'];          // Data inicial
	   $aV_Sessao['Fil_DataFim'] = @$_REQUEST['Fil_DataFim'];          // Data Final
	   $aV_Sessao['Pesq_CodCta'] = (@$_REQUEST['Pesq_CodCta']+0);      // Codigo da Conta 
	   $aV_Sessao['Fil_Cod_Pro'] = (@$_REQUEST['Cod_Pro']+0);          // Codigo do produto
	   $aV_Sessao['Ven_ModoRel'] = (@$_REQUEST['Ven_ModoRel']+0);      // 0-Sintético 1-Analitíco 2-Resumido
	   $aSessao[$sNomeAcesso.'_S'] = $aV_Sessao;
	   
	   //
	   $oJanelaPrinc->sJavKeyDown = "return Car_".$sNomeAcesso."2.Teclas_F(this,event);";
	   //
       // Tela HTML
       $sRet_TelaJ_HTML =
    	  $oJanelaPrinc->MontaJanHTML(True).
		  // Teclas
		  '<input id="in_RelVenV_Tecla" style="position:absolute; top:-600; left:-600; width:1px; height:1px;">'.
		  //
		  '<iframe name="VisEstR_Print"></iframe>'.
          '<form name="fmPRelVen_R" accept-charset="utf-8" method="post" action="./car_js.php" target="car_'.$sNomeAcesso.'3">'.
           '<input name="mod" type="hidden" value="'.$sModulo.'">'.
           '<input name="submod" type="hidden" value="'.$sSubModulo.'">'.
           '<input name="acao" type="hidden" value="">'.
    	   '<input name="nomeacs" type="hidden" value="'.$sNomeAcesso.'">'.
          '</form>'.
		  '<div id="dv_RelVenR_Txt" style="width:100%; height:400px; background:#FFFFFF; overflow:auto;">'.
           '<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">'.
            '<tr><td align="center" valign="middle" style="color:#555555;">'.
            'Aguarde um momento...<br>'.
            '<img src="images/img_load1.gif" border="0">'.
            '</td></tr>'.
           '</table>'.
		  '</div>'.
		  //
          '<table width="100%" style="background-color:'.$sCorBarraInf.';"></tr>'.
           '<td width="4px" height="40px">&nbsp;</td>'.
           //'<td align="left">'.
           // HTML_Botao( 3, 'objRelVenR_BT_Abr',
			//                                 "parent.JanEspera(true, 'Imprimindo relatório... aguarde...');".
			//								 "setTimeout( function () { ".
		    //                                    "document.forms.fmPRelVen_R.acao.value='IMP'; ".
            //                                    "document.forms.fmPRelVen_R.submit();".
		//									 "}, 500);"
         //                , 'Atalho (F9)'   ,'images/btimg_imp.png',130).		    
		  // '</td>'.
		   '<td width="150px" align="left">'.
               HTML_Botao( 3, 'objRelVenR_BT_Imp',  'Car_'.$sNomeAcesso.'2.processPrint();'
                            , 'Imprimir (F2)'   ,'images/btimg_imp.png',130).		    
		   '</td>'.
		   '<td align="left">'.
              HTML_Botao( 3, 'objRelVenR_BT_Dwn',  'Car_'.$sNomeAcesso.'2.SalvarTexto();'
                           , 'Salvar (F9)'   ,'images/btimg_baixar_texto.png',100).		    
		   '</td>'.
		   
           '<td align="right">'.
            HTML_Botao( 3, 'objRelVenR_BT_Fch', $oJanelaPrinc->sJavOnClickF
                         , 'Sair (ESC)' ,'images/btimg_fechar.png').		    
		   '</td>'.
           '<td width="4px">&nbsp;</td>'.
		   '</tr></table>'.
		   //
    	   $oJanelaPrinc->MontaJanHTML(False);
       //
	   // Java anterior
       $sRet_Javs .=
	      "function processPrint( ) {".
			"var sdivElements = parent.document.getElementById('dv_RelVenR_Txt').innerHTML;".
            "var Quadro = parent.frames['VisEstR_Print'];".
            "Quadro.window.location='about:blank';". 
			"Quadro.document.write('<html><head><title>Estoque</title></head><body>');".
			"Quadro.document.write(sdivElements);".
			"Quadro.document.write('</body></html>');".
			"Quadro.window.print();".
		  "}".
		  //
		  "function SalvarTexto() {".
	        "parent.document.forms.fmPRelVen_R.acao.value='GERAR_TEXTO';".
            "parent.document.forms.fmPRelVen_R.submit();".
		  "}".
		  //
	      "function Teclas_F( Objeto, Evento ) {".
             "vNumTecla = parent.Tecla_Apertada(Evento);".
             "if ( vNumTecla==120) { ".        //  ** [F9] **          // (Salvar em texto)
                 "setTimeout( parent.document.getElementById('objRelVenR_BT_Dwn').onclick , 50);".
			 "} else if ( vNumTecla==113) { ". //  ** [F2] **          // (Imprimir)
                 "setTimeout( parent.document.getElementById('objRelVenR_BT_Imp').onclick , 50);".
		     "} else if ( vNumTecla==116) { ". //  ** [F5] **     Não atualizar
			     //
		     "} else if ( vNumTecla==27) { ".  //  ** [ESC] **         // (SAIR)
                 "setTimeout( parent.document.getElementById('objRelVenR_BT_Fch').onclick , 50);".
			 "} else {".
			     "return true;".
			 "}".
			 "return false;".
          '}'.
		  //
	      "";
       // Java posterior
       $sRet_JavsPos .=
	     "parent.document.getElementById('in_RelVenV_Tecla').focus(); ".
	     "setTimeout( function () { ".
	        "parent.document.forms.fmPRelVen_R.acao.value='MONTAR';".
            "parent.document.forms.fmPRelVen_R.submit();".
		 "} , 300); ".
		 "";
	   //
	   //
	}
   //
}
//
?>